​

Retrieve users list

GET
https://example.kaiten.ru/api/latest/cards/{card_id}/allowed-users

Returns a list of users with access to card

Starting October 1, 2026, public API requests return 100 users per request by default and at most 100. The response remains an array. Results are ordered by id ascending unless orderBy is used. Pass limit and offset to fetch successive pages; start with offset=0 and increase it by the applied limit until a page contains fewer users than that limit. The applied limit is returned in X-Pagination-Limit. Requests without pagination parameters also receive X-Pagination-Message.

Path parameters
NameTypeReference
card_idrequiredintegerCard ID
Headers
NameValue
Content-Typeapplication/json
Query
NameTypeConstraintsDescription
typeenumsd-owners virtual-users mentionsd-owner - returns a list of company users with access to service-desk. virtual-users - returns a list of company virtual users.
searchstringFilter by full_name, email or username
orderBystringDefault: idThe field to sort by
roleintegerFilter by role
limitintegerPublic API page size. Must be a positive integer; values greater than 100 are treated as 100. Default: 100
offsetintegerNumber of users to skip. Must be a non-negative integer. Default: 0
Responses

200
DescriptionResponse typeExample
SuccessObject
Open
Response Attributes
NameTypeDescription
id

integer

User id
full_name

string

User full name
email

string

User email
username

string

Username for mentions and login
avatar_initials_url

string

Default user avatar
avatar_uploaded_url

null | string

User uploaded avatar url
initials

string

User initials
avatar_type

enum

1 – gravatar, 2 – initials, 3 - uploaded
lng

string

Language
timezone

string

Time zone
theme

string

light - light color theme, dark - dark color theme, auto - color theme based on OS settings
updated

string

Last update timestamp
created

string

Create date
activated

boolean

User activated flag
ui_version

integer

1 - old ui. 2 - new ui
400
DescriptionResponse typeExample
Invalid limit or offsetObject
Open
Response Attributes
NameTypeDescription
message

string

Validation error message
401
DescriptionResponse typeExample
Invalid tokenString
Open
403
DescriptionResponse typeExample
ForbiddenResponse body does not exist
404
DescriptionResponse typeExample
Not foundResponse body does not exist
logo
Kaiten
If you have any questions or need help with integration feel free to write us at support@kaiten.ru

Path Parameters

  1  curl --request GET \
  2       --url 'https://example.kaiten.ru/api/latest/cards/{card_id}/allowed-users' \
  3       --header 'Accept: application/json' \
  4       --header 'Content-Type: application/json'
  5      

Response

ClickTry It!to start a request and see the response here!